=== debian/changelog ===
validns (0.7-1) unstable; urgency=low

  [ Casper Gielen ]
  * New upstream.
  * Use watch file.
  * Add Hardening to Makefile so it is actually used.
  * Remove lintian-override for new-package-should-close-itp-bug.

  [ Joost van Baal-Ilić ]
  * First upload to Debian (Closes: #702507) 

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 13:55:58 +0200

validns (0.6r250-2) unstable; urgency=low

  * Include hardening.
  * BuildDepend on dpkg-dev. 
  * Switch to debhelper v9 compatibility.
  * Fix maintainer.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 13:35:21 +0200

validns (0.6r250-1) unstable; urgency=low

  * New upstream 
  * Fix uploader in changelog

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 16 Apr 2013 10:26:58 +0200

validns (0.6r239-2) unstable; urgency=low

  * Converted to git-buildpackage

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 12 Apr 2013 15:12:12 +0200

validns (0.6r239-1) unstable; urgency=low

  [ Casper Gielen ]
  * New upstream 

  [ Joost van Baal-Ilić ]
  * debian/control: add myself to Uploaders

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 08 Mar 2013 13:13:25 +0100

validns (0.6r236-2) unstable; urgency=low

  * Unit tests weer aangezet 

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 13:03:55 +0100

validns (0.6r236-1) unstable; urgency=low

  * Checks weer aanzetten.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 13:03:16 +0100

validns (0.6-2) unstable; urgency=low

  * Actually do include binary
  * Fixed dependencies
  * debian/lintian-overrides: added. possible-gpl-code-linked-with-openssl:
    upstream code is released under modified BSD license.

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 08 Jan 2013 12:54:16 +0100

validns (0.6-1) unstable; urgency=low

  * Initial release.

 -- Casper Gielen <casper-alioth@gielen.name>  Mon, 04 Jan 2013 17:57:57 +0200
