=== debian/changelog ===
validns (0.8-2) unstable; urgency=low

  * debian/control Point Vcs-Git & Vcs-Browser to the repo with the packaging.
  * debian/patches/fix-dont-overwrite-cflagspatch Improve description.
  * debian/docs/changes Remove upstream changelog to avoid duplicate inclusion.

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 08 Aug 2014 16:09:46 +0200

validns (0.8-1) unstable; urgency=low

  * New upstream. 
  * Support ECDSA and SHA-256 in SSHFP. 
  * Unapply debian patches that were incorporated by mistake.
  * debian/control Standards version 3.9.5 (no changes)

 -- Casper Gielen <casper-alioth@gielen.name>  Fri, 04 Apr 2014 16:09:46 +0200

validns (0.7-2) unstable; urgency=low

  * debian/control Remove leading space from description.
  * debian/copyright Change Format URL.
  * Remove base32hex-test binary from source and fix Makefile clean target.

 -- Casper Gielen <casper-alioth@gielen.name>  Sat, 29 Jun 2013 22:57:24 +0200
