=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.validns.net/
-Vcs-Git: https://github.com/tobez/validns.git
-Vcs-Browser: https://github.com/tobez/validns
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
 
 Package: validns
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description:  high performance DNS/DNSSEC zone validator
+Description: high performance DNS/DNSSEC zone validator
  Validns is a standalone command line RFC 1034/1035 zone file validation tool
  that, in addition to basic syntactic and semantic zone checks, includes DNSSEC
  signature verification and NSEC/NSEC3 chain validation, as well a number of
