## validns 0.8+git20160720

=== debian/changelog ===
validns (0.8+git20160720-3) unstable; urgency=medium

  * debian/copyright Add License: statement.
  * debian/control Upgrade to Standards-Version 3.9.8 (no changes).

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 14 Dec 2016 16:01:55 +0100

validns (0.8+git20160720-2) unstable; urgency=medium

  * Depend on OpenSSL 1.0 (Closes: #828591)

 -- Casper Gielen <casper-alioth@gielen.name>  Thu, 01 Dec 2016 14:51:30 +0100

validns (0.8+git20160720-1) stable; urgency=medium

  * New upstream with support for INCLUDE.

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 20 Jul 2016 11:27:36 +0200
