=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libssl1.0-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.8
 Homepage: http://www.validns.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
