## validns 0.8+git20170801

=== debian/changelog ===
validns (0.8+git20170801-2) unstable; urgency=medium

  * Switch to openssl1.1, patch by Sebastian Andrzej Siewior (Closes: 859784).

 -- Casper Gielen <casper-alioth@gielen.name>  Wed, 02 Aug 2017 17:46:03 +0200

validns (0.8+git20170801-1) unstable; urgency=medium

  * New upstream with support for AAC, CDS, CDNSKEY, SMIMEA resource records.
  * debian/control Allow both ssl1.0 and ssl1.1 for backwards compatibiltiy.
  * debian/control Upgrade to Standards-Version 4.0.0 (no changes).

 -- Casper Gielen <casper-alioth@gielen.name>  Tue, 01 Aug 2017 16:52:23 +0200
