=== debian/changelog ===
validns (0.8+git20170804-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:32 +1100

validns (0.8+git20170804-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:09:45 +0000

validns (0.8+git20170804-0ubuntu3) jammy; urgency=medium

  * Update test for changed error output on failed rsa signature check
    (LP: #1959855)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 02 Feb 2022 16:34:33 -0700

validns (0.8+git20170804-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 15:57:39 +0100

validns (0.8+git20170804-0ubuntu1) disco; urgency=medium

  * New upstream release
  * Cherrypick upstream pull request for openssl 1.1.x compat.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Feb 2019 23:42:06 +0000
