=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: validns
 Section: net
 Priority: extra
-Maintainer: Casper Gielen <casper-alioth@gielen.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Casper Gielen <casper-alioth@gielen.name>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.0.0
+Standards-Version: 3.9.8
 Homepage: http://www.validns.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
