=== debian/changelog ===
validns (0.8+git20230810.a7e6b4f-2) unstable; urgency=medium

  * Orphaning this package per request of Casper in Feb 2025, on Meuknet IRC:
    уто 04 16:28 <casper_> laat maar vallen.
    - d/control: changing Maintainer: Casper Gielen <casper-alioth@gielen.name>,
      Uploaders: Joost van Baal-Ilić <joostvb@debian.org> to Maintainer: Debian
      QA Group <packages@qa.debian.org>.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 07 Feb 2025 17:09:14 +0100

validns (0.8+git20230810.a7e6b4f-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.
    Closes: #935011

  [ Andreas Tille ]
  * Latest upstream commit
    Closes: #935012, #935013
  * Point watch file to Github
  * d/rules: Its no example
  * Homepage is now Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.6-1.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Dec 2024 15:25:07 +0100

validns (0.8+git20160720-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Get it compiled against OpenSSL 3.0+ (Closes: #1006583).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 23 Jun 2022 18:48:15 +0200

validns (0.8+git20160720-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid a warning regarding string truncation (Closes: #897882).
  * Get it compiled against OpenSSL 1.1+ (Closes: #859784).
  * Use priority optional instead of extra.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 22 Feb 2019 23:52:58 +0100
