=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: validns
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Casper Gielen <casper-alioth@gielen.name>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libjudy-dev, libtest-command-simple-perl, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
-Homepage: http://www.validns.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/validns.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/validns.git
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
+               libjudy-dev,
+               libtest-command-simple-perl
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/validns.git
+Vcs-Browser: https://salsa.debian.org/debian/validns
+Homepage: https://github.com//tobez/validns
+Rules-Requires-Root: no
 
 Package: validns
 Architecture: any
@@ -34,5 +36,3 @@
   - NSEC/NSEC3 chain validation
   - supports signature validation in the future or in the past
   - built-in policy checks
-
-
