=== debian/watch ===
version=4

opts="mode=git,pretty=0.8+git%cd.%h" \
    https://github.com//tobez/validns.git HEAD
