## validns 0.8.0+20251121

=== debian/changelog ===
validns (0.8.0+20251121-1) sid; urgency=medium

  * Merging upstream version 0.8.0+20251121.
  * Removing unused gbp.conf.
  * Removing fix-makefile-clean.patch, not required anymore with upstream
    move to using autotools.
  * Removing fix-dont-overwrite-cflags.patch, not required anymore with
    upstream move to using autotools.
  * Removing ignoreQuilt.patch, not needed anymore.
  * Removing dnskey-Avoid-using-RSA_new-on-OpenSSL-3.0.patch, was never
    actually applied.
  * Updating and harmonizing licenses in copyright.
  * Updating debhelper docs file for new upstream version.
  * Updating to standards version 4.7.2.
  * Udpating homepage field.
  * Updating vcs fields.
  * Removing rules-requires-root, not needed anymore.
  * Adding binary package section field.
  * Slightly updating package description.
  * Updating upstream urls in copyright.
  * Removing validns.install, not required anymore with upstream move to
    using autotools.
  * Removing validns.manpages, not required anymore with upstream move to
    using autotools.
  * Removing validns.docs, not required anymore with upstream move to
    using autotools.
  * Updating watch file.
  * Adding upstream metadata.
  * Tidying rules file.
  * Removing lintian overrides, not needed anymore.
  * Adding newly required pkgconfig to build-depends.
  * Removing unneeded license file in /usr/share/doc.
  * Wrap and sorting debian files.
  * Marking libtest-command-simple-perl build-depends as only required
    when running checks.
  * Adding patch to add missing mandatory troff header line in manpage,
    thanks to Teemu Hukkanen <tjhukkan@iki.fi> (Closes: #1098994).

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 Nov 2025 05:08:13 +0100

validns (0.8+git20230810.a7e6b4f-3) sid; urgency=medium

  * New maintainer (Closes: #1095417).

 -- Daniel Baumann <daniel@debian.org>  Sat, 29 Nov 2025 04:24:32 +0100
