=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/validns/usr/share/doc/validns/LICENSE
