=== debian/watch ===
version=4
https://codeberg.org/DNS-OARC/validns/tags .*/v?(\d.*)@ARCHIVE_EXT@
