## validns 8.0%2B20260107

=== debian/changelog ===
validns (8.0+20260107-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 8.0+20260107.
  * Updating years in copyright for 2026.
  * Removing manpage-troff-header.patch, fixed upstream.

 -- Daniel Baumann <daniel@debian.org>  Tue, 20 Jan 2026 13:21:59 +0100
