## validns 8.0+really0.9.0

=== debian/changelog ===
validns (8.0+really0.9.0-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Merging upstream version 8.0+really0.9.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Feb 2026 19:06:34 +0100
