=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libssl-dev,
  libtest-command-simple-perl <!nocheck>,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/DNS-OARC/validns
 Vcs-Browser: https://forgejo.debian.net/dns-oarc/validns
 Vcs-Git: https://forgejo.debian.net/dns-oarc/validns
