=== debian/watch ===
Version: 5

Source: https://codeberg.org/api/v1/repos/DNS-OARC/validns/tags
Matching-Pattern: https://codeberg.org/DNS-OARC/validns/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
Dversion-Mangle: s/^8.0\+really//
